--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Get the total value of a property
- !ruby/struct:SM::Flow::P 
  body: "@example the total age of all friends"
- !ruby/struct:SM::Flow::VERB 
  body: "  Friend.sum(:age)\n"
- !ruby/struct:SM::Flow::P 
  body: "@example the total age of all female friends"
- !ruby/struct:SM::Flow::VERB 
  body: "  Friend.max(:age, :conditions =&gt; [ 'gender = ?', 'female' ])\n"
- !ruby/struct:SM::Flow::P 
  body: "@param property [Symbol] the property you wish to get the total value of @param opts [Hash, Symbol] the conditions"
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer] return the total value of a property given the conditions"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Aggregates::Functions#sum
is_singleton: false
name: sum
params: (*args)
visibility: public
